.grid {
  display: grid;
}

.col-t-1 {
  grid-template-columns: repeat(1, 1fr);
}
.col-t-2 {
  grid-template-columns: repeat(2, 1fr);
}
.col-t-3 {
  grid-template-columns: repeat(3, 1fr);
}
.col-t-4 {
  grid-template-columns: repeat(4, 1fr);
}
.col-t-5 {
  grid-template-columns: repeat(5, 1fr);
}
.col-t-6 {
  grid-template-columns: repeat(6, 1fr);
}
.col-t-7 {
  grid-template-columns: repeat(7, 1fr);
}
.col-t-8 {
  grid-template-columns: repeat(8, 1fr);
}
.col-t-9 {
  grid-template-columns: repeat(9, 1fr);
}
.col-t-10 {
  grid-template-columns: repeat(10, 1fr);
}
.col-t-11 {
  grid-template-columns: repeat(11, 1fr);
}
.col-t-12 {
  grid-template-columns: repeat(12, 1fr);
}

.gap-0 {
  gap: 0;
}
.gap-0-5 {
  gap: 0.5rem;
}
.gap-1 {
  gap: 1rem;
}
.gap-1-5 {
  gap: 1.5rem;
}
.gap-2 {
  gap: 2rem;
}
.gap-3 {
  gap: 3rem;
}

.col-t-span-1 {
  grid-column: span 1;
}
.col-t-span-2 {
  grid-column: span 2;
}
.col-t-span-3 {
  grid-column: span 3;
}
.col-t-span-4 {
  grid-column: span 4;
}
.col-t-span-5 {
  grid-column: span 5;
}
.col-t-span-6 {
  grid-column: span 6;
}
.col-t-span-12 {
  grid-column: span 12;
}

.row-span-1 {
  grid-row: span 1;
}
.row-span-2 {
  grid-row: span 2;
}
.row-span-3 {
  grid-row: span 3;
}

@media (min-width: 992px) {
  .col-t-sm-1 {
    grid-template-columns: repeat(1, 1fr);
  }
  .col-t-sm-2 {
    grid-template-columns: repeat(2, 1fr);
  }
  .col-t-sm-3 {
    grid-template-columns: repeat(3, 1fr);
  }

  .col-t-sm-4 {
    grid-template-columns: repeat(4, 1fr);
  }

  .col-t-sm-5 {
    grid-template-columns: repeat(5, 1fr);
  }

  .col-t-sm-6 {
    grid-template-columns: repeat(6, 1fr);
  }

  .col-t-sm-7 {
    grid-template-columns: repeat(7, 1fr);
  }

  .col-t-sm-8 {
    grid-template-columns: repeat(8, 1fr);
  }

  .col-t-sm-9 {
    grid-template-columns: repeat(9, 1fr);
  }

  .col-t-sm-10 {
    grid-template-columns: repeat(10, 1fr);
  }

  .col-t-sm-11 {
    grid-template-columns: repeat(11, 1fr);
  }

  .col-t-sm-12 {
    grid-template-columns: repeat(12, 1fr);
  }

  .col-t-sm-span-1 {
    grid-column: span 1;
  }
  .col-t-sm-span-2 {
    grid-column: span 2;
  }
  .col-t-sm-span-12 {
    grid-column: span 12;
  }
}



.grid-auto {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
  gap: 1rem;
}

.grid-auto-dense {
  grid-auto-flow: dense;
}

.grid-center {
  place-items: center;
}

.grid-between {
  justify-content: space-between;
}

.grid-around {
  justify-content: space-around;
}

.grid-evenly {
  justify-content: space-evenly;
}

.text-center {
  text-align: center;
}
.text-left {
  text-align: left;
}
.text-right {
  text-align: right;
}

.gap-x-1 {
  column-gap: 8px;
}
